{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.gitea = {
    enable = mkEnableOption "gitea service";

    httpPort = mkOption {
      type = types.int;
      default = 80;
    };

    sshPort = mkOption {
      type = types.int;
      default = 22;
    };

    localAddress = mkOption {
      type = types.str;
      default = "127.0.0.1";
    };

    dataDir = mkOption {
      type = types.str;
      default = "";
    };

    reverseProxy = lib.${namespace}.mkReverseProxyOpt;
  };
}
